%% commands for SH 2nd order sys on rect. for hexagons
keep pphome; close all; p=[]; 
%% init and zero-branch 
p=[]; lx=2*pi; nx=round(6*lx); ly=lx/sqrt(3); ndim=2; lam=-0.001; nu=0; par=[lam; nu];  
sw.ref=0; sw.sym=1; % ref=#mesh-refs, sym=1: cc-mesh 
p=shinit(p,nx,lx,ly,ndim,par,sw); p=setfn(p,'2Dhex0'); plotsol(p,1,1,1); view(0,90); p.np 
p.sol.ds=0.005; p.nc.dsmin=0.005; p.sol.dsmax=0.05; 
p.file.smod=1; p.sw.bifcheck=2; p=cont(p,10); 
%% nu=0; hex,str,pq det. by CBE, with increased soltol
aux=[]; aux.soltol=1e-12; aux.isotol=1e-12; aux.m=2;   p0=cswibra('2Dhex0','bpt1',aux); 
p=seltau(p0,1,'2D1-1s',3); p.sol.ds=-0.05; p=pmcont(p,20); 
p=seltau(p0,2,'2D1-1pq',3); p.sol.ds=0.05; p=pmcont(p,20);
p=seltau(p0,3,'2D1-1h',3); p.sol.ds=-0.05; p=pmcont(p,20);
%% plots 
fnr=3; figure(fnr); cmp=4; clf; huclean(p); 
plotbra('2D1-1pq','pt20',fnr,cmp,'cl','m'); plotbra('2D1-1h','pt15',fnr,cmp,'cl','r'); 
plotbra('2D1-1s','pt20',fnr,cmp,'cl','b'); 
text(0.04,0.4,'hex','color','r','fontsize',16); text(0.1,0.47,'pq','color','m','fontsize',16); 
text(0.1,0.33,'str','color','b','fontsize',16); box on;
title('\nu=0'); xlabel('\lambda'), ylabel('max(|u|)'); set(gca,'XTick',[0 0.05 0.1]); 
d='2D1-1pq'; pt='pt20'; p=loadp(d,pt); plotsol(p); fouplot(p,10,1,[4 3],[d '/' pt],1); pause
d='2D1-1h'; pt='pt20'; p=loadp(d,pt); plotsol(p); fouplot(p,10,1,[4 3],[d '/' pt],1);
%% nu=0.5, hex det by QBE 
aux=[]; p0.u(p0.nu+2)=0.5; aux.hasker=1; p0=qswibra(p0,aux); p0.sw.bifcheck=0; 
%%
p=seltau(p0,2,'2D1-1h+',2); p.sol.ds=-0.01; p=pmcont(p,20); 
p=seltau(p0,2,'2D1-1h-',2); p.sol.ds=0.05; p=pmcont(p,10); 
%% get str from gentau 
%aux.soltol=1e-10; p0=cswibra(p0,'t1',aux); 
p=gentau(p0,[0 1],'2D1-1s2'); p.sol.ds=-0.05; p.sw.bifcheck=2; p=pmcont(p,20); 
%% a mixed mode
p=swibra('2Dh-1s2','bpt1','m1',-0.1); p.nc.resfac=1e-6; p.sol.dsmax=0.01; p=pmcont(p,10);
%% branch plots 
fnr=3; figure(fnr); cmp=4; clf; plotbra('2D1-1h+','pt15',fnr,cmp,'cl','r');
plotbra('2D1-1h-','pt10',fnr,5,'cl','r'); 
plotbra('2D1-1s2','pt10',fnr,cmp,'cl','b'); 
plot([-0.025 0],[0 0],'k','linewidth',3); plot([0 0.2],[0 0],'k','linewidth',1); box on; 
axis([-0.025 0.1 -0.3 0.7]); 
title('\nu=0.3'); xlabel('\lambda'), ylabel('max u, min u'); set(gca,'XTick',[0 0.1 0.2]); 
%% soln plots 
d='2Dh-1h+'; pt='pt20'; p=loadp(d,pt); plotsol(p); pause
d='2Dh-1h-'; pt='pt10'; p=loadp(d,pt); plotsol(p); pause
d='m1'; pt='pt5'; p=loadp(d,pt); plotsol(p);pause
d='2Dh-1s2'; pt='bpt1'; p=loadp(d,pt); plotsol(p);