function r=resi(p,u)
% RESI: return residual for PDE and auxiliary equations
%
%  r=resi(p,u)
%
% See also pderesi, getGu
if (p.sw.spcont==0)          % regular continuation 
    r=pderesi(p,u);           % pde part
  if(p.nc.nq>0) r=[r;p.fuha.qf(p,u)]; end  % possibly add auxiliary functions
end
if (p.sw.spcont~=0) % fold/branch point continuation 
    [p,spcont,prim]=spreduce(p);
    u1=[u(1:p.nu);u(2*p.nu+1:2*p.nu+p.naux)]; % normal pde part
    % pde part:
    r=pderesi(p,u1); 
    % add linearization residual: Gu*phi, phi=normalized eigenvector in kernel
    % for call of getGu turn off  spectral cont and remove new fold/branch pt primary para.:
    if(p.nc.nq>0) rq=p.fuha.qf(p,u1); else rq=[]; end
    rlin=getGu(p,u1,[r;rq])*[u(p.nu+1:2*p.nu);u(2*p.nu+p.naux+1:end)];
    % sort into residual with aux. fct.
    r=[r;rlin(1:p.nu);rq;rlin(p.nu+1:end)];
    % add normalization of eigenfunction <phi,phi>=1:
    r=[r;norm([u(p.nu+1:2*p.nu);u(2*p.nu+p.naux+1:end)])^2-1];
    p=spextend(p,spcont,prim); % reset p
end

